<section class="profile_body">
  <div class="container">
    <div class="profile_body_margin">
      <div class="row">
        <div class="col-md-4 noPadding_mobile">
          <div class="card mb-5">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12 noPadding_mobile">
                  <div class="profile_info">
                    <!-- <img src="img/banner_img1.png"/> -->
                    <div class="avatar-upload">
                      <div class="avatar-edit">

                        <input type="file" name="seller_profile_photo" id="imageUpload_custom" #seller_profile_photo
                          (change)="fileChangedPhoto($event)" *ngIf="is_Seller==true"
                          accept="image/jpeg, image/png, image/jpg, image/bmp, image/gif" />
                        <label for="imageUpload_custom"></label>

                      </div>
                      <!-- <div class="avatar-preview">
                        <button class="profile_img" style="padding: 0px;"><img src="{{seller_data_source}}"
                            class="profile_img" />
                        </button>
                      </div> -->

                      <div class="avatar-preview"
                        *ngIf="(seller_profile_photo!=null && seller_profile_photo!=undefined) || seller_data_source!=null">
                        <div class="profile_img image_after_upload">
                          <button class="profile_img_btn" style="padding: 0px;">
                            <img src="{{seller_data_source}}" class="profile_img" (click)="openImage(seller_data_source)"/>
                          </button>
                        </div>
                      </div>
                    </div>

                    <h4>{{userName}}</h4>
                    <div class="Profile_Name_Editable_field">
                      <p class="profile_name_div">{{firstName}} <span style="padding-left: 5px;">{{lastName}}</span><a
                          href="javascript:void(0);" class="fa fa-pencil profile_edit_pencil"
                          (click)="onProfilename_editPencilbtn()" *ngIf="is_Seller==true"></a></p>
                      <form class="Edit_profile_form" *ngIf="openShow_ProfileModals==true">

                        <input type="text" maxlength="30" class="one-liner" placeholder="First Name" name="firstName"
                          #firstname="ngModel" autocomplete="off" (keypress)="onlyCharacters_withApostrophe($event)"
                          [(ngModel)]="firstName" required onpaste="return false">

                        <input type="text" maxlength="30" class="one-liner" placeholder="Last Name" name="lastName"
                          #lastname="ngModel" autocomplete="off" (keypress)="onlyCharacters_withApostrophe($event)"
                          [(ngModel)]="lastName" required onpaste="return false">

                        <span class="error_msg" *ngIf="checkvalidation_personalInfo && firstname.errors?.required">
                          Please Enter Firstname
                        </span>
                        <span class="error_msg" *ngIf="checkvalidation_personalInfo && lastname.errors?.required">
                          Please Enter Lastname
                        </span>
                        <div class="controls">
                          <a href="javascript:void(0);" class="profile_cancel_btn_fit"
                            (click)="cancelProfileModal()">Cancel</a>
                          <a href="javascript:void(0);" class="profile_update_btn_fit"
                            (click)="onUpdate_Profilename()">Update</a>
                        </div>
                      </form>
                    </div>
                  </div>
                  <div class="user-stats-desc">
                    <ul class="user-stats">
                      <li class="location">From<b>India</b></li>
                      <li class="member-since">Member since<b>{{account_Created_date|date:'MMM yyyy' }}</b></li>
                      <li class="vacation">Out of Office
                        <div class="checkbox checbox-switch">
                          <label class="switch">
                            <input type="checkbox" [(ngModel)]="out_Of_office" *ngIf="is_Seller==true"
                              name="out_Of_office" id="switch" (change)="onTogglebtnOut_of_Office()">
                            <span class="slider round"></span>
                            <!-- <span class="slider round" *ngIf="out_Of_office==false"></span> -->
                          </label>
                        </div>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12 noPadding_mobile">
                  <div class="Description_div">
                    <h4>Description <a href="javascript:void(0);" class="add" (click)="openDescriptionModal()"
                        *ngIf="is_Seller==true">Edit
                        Description</a></h4>
                    <div class="card description_card" *ngIf="openShow_descriptionModals==true">
                      <div class="card-body">
                        <textarea maxlength="600" rows="5" class="form-control" minlength="150"
                          [(ngModel)]="description"
                          placeholder="Please tell us about any hobbies, additional expertise, or anything else you’d like to add."
                          #txt_description="ngModel" required onpaste="return false">
                      </textarea>
                        <span class="error_msg" *ngIf="checkvalidation_description && txt_description.errors?.required">
                          Please Enter Description
                        </span>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" class="btn btn-secondary Description_Cancel_btn btn-block"
                              value="Cancel" (click)="cancelDescriptionModal()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              (click)="onUpdate_descriptionBtn()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" class="btn btn-secondary Description_Cancel_btn btn-block"
                            style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" value="Cancel" (click)="cancelDescriptionModal()">
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Language_div">
                    <h4>Languages <a href="javascript:void(0);" class="add" (click)="onAddnew_Language()"
                        *ngIf="is_Seller==true">Add New</a>
                    </h4>
                    <div class="card Language_card" *ngIf="openShow_languageModals==true">
                      <div class="card-body">
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Language"> -->
                          <form>
                            <kendo-autocomplete [data]="autoCompLanguageListItem" [valueField]="'lang_name'"
                              [filterable]=true (filterChange)="handleLanguageFilter($event)" class="form-control"
                              name="autoCompleteLanguage" [placeholder]="'Select Language'"
                              [value]="languageDetails.lang_name" onpaste="return false"
                              (keypress)="onlyCharacters($event)">
                              <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                <div style="font-size: 15px; width: 100%; color: #00F;"
                                  (click)="onSpanLanguageSelected(dataItem)">
                                  {{dataItem.lang_name}}
                                </div>
                              </ng-template>
                            </kendo-autocomplete>
                          </form>
                          
                          <span class="error_msg"
                            *ngIf="checkvalidation_languageModal && languageDetails.lang_name==''">
                            Please Select Language
                          </span>
                        </div>
                        <div class="form-group">
                          <select class="form-control" [(ngModel)]="getLanguageProfeciency.id"
                            name="languageProficiency" (change)="onSelection()" required>
                            <option value="0">Select Language Level</option>
                            <option *ngFor="let option of languageProfeciencyList" value={{option.id}}>
                              {{option.lang_proficiency_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_languageModal && getLanguageProfeciency.id==0">
                            Please Select Language Proficiency
                          </span>
                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Language_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="cancelLanguageModal()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdate_languageModal()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Language_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="cancelLanguageModal()">
                          </div>
                        </div>
                      </div>
                    </div>

                    <ng-container
                      *ngIf="seller_languageDetailsList!=null && seller_languageDetailsList!=undefined && seller_languageDetailsList.length>0">
                      <ul class="items-list" *ngFor="let item of seller_languageDetailsList">
                        <li><span class="title">{{item.lang_name}} </span>
                          <span class="sub-title">{{item.lang_proficiency_name}}</span>
                          <input type="hidden" value="basic">
                          <div class="animate">
                            <span class="hint--top" data-hint="Edit">
                              <a href="javascript:void(0);" class="pencil" (click)="onEditLanguage_pencilBtn(item)"
                                *ngIf="is_Seller==true"></a>
                              <a href="javascript:void(0);" class="delete_icon" (click)="onDeleteLanguage(item)"
                                *ngIf="is_Seller==true"></a>
                            </span>
                          </div>
                        </li>
                      </ul>
                    </ng-container>
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Linked_Accounts_div">
                    <h4>Account Security</h4>
                    <ul>
                      <!-- <li class="facebook js-btn-facebook-connect is-selected" data-should-redirect="false" data-platform="facebook"><span>Facebook</span></li>
                      <li class="google js-btn-google-connect " data-should-redirect="false" data-platform="google"><span>Google</span></li>
                      <li class="dribbble js-btn-dribbble-connect " data-should-redirect="false" data-platform="dribbble"><span>Dribbble</span></li>
                      <li class="stack_exchange js-btn-stackexchange-connect " data-should-redirect="false" data-platform="stack_exchange"><span>Stack Overflow</span></li>
                      <li class="behance js-btn-behance-connect " data-should-redirect="false" data-platform="behance"><span>Behance</span></li>
                      <li class="github js-btn-github-connect " data-should-redirect="false" data-platform="github"><span>GitHub</span></li>
                      <li class="vimeo js-btn-vimeo-connect " data-should-redirect="false" data-platform="vimeo"><span>Vimeo</span></li>
                      <li class="twitter js-btn-twitter-connect " data-should-redirect="false" data-platform="twitter"><span>Twitter</span></li> -->
                      <div class="row">
                        <div class="col-md-6 col-xs-6 noPadding_mobile">
                          <div class="form-group">
                            <i class="fa fa-envelope Account_security_icons"></i>
                            <span>Email</span>
                          </div>
                        </div>
                        <div class="col-md-6 col-xs-6 text-right noPadding_mobile">
                          <div class="form-group">
                            <a href="javascript:void(0);" class="btn btn-secondary connected_btn" style="width: 125px;height: 35px;color:#898989 !important;">Verified</a>
                          </div>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-md-6 col-xs-6 noPadding_mobile">
                          <div class="form-group">
                            <h5 class="label_heading">
                              <i class="fa fa-phone Account_security_icons"></i>
                              <span>Phone Number</span>
                            </h5>
                          </div>
                        </div>
                        <div class="col-md-6 col-xs-6 text-right noPadding_mobile">
                          <div class="form-group" *ngIf="is_verified_mobile_no==false">
                            <a href="javascript:void(0);" class="btn btn-secondary connect_btn" style="padding: .375rem .5rem;"
                              data-toggle="modal" (click)="open_pop_phone_acc_security()">Add</a>
                          </div>
                          <div class="form-group" *ngIf="is_verified_mobile_no==true">
                            <a href="javascript:void(0);" class="btn btn-secondary connected_btn" style="width: 125px;color:#898989 !important;">Verified</a>
                          </div>
                        </div>
                      </div>
                    </ul>
                  </div>


                  <hr style="margin: 30px 0px;" />
                  <div class="Linked_Accounts_div">
                    <h4>Linked Accounts</h4>
                    <ng-container *ngFor="let item of social_mediaList?.social_media_array">
                      <ul>
                        <!-- <li class="facebook js-btn-facebook-connect is-selected" data-should-redirect="false" data-platform="facebook"><span>Facebook</span></li>
                      <li class="google js-btn-google-connect " data-should-redirect="false" data-platform="google"><span>Google</span></li>
                      <li class="dribbble js-btn-dribbble-connect " data-should-redirect="false" data-platform="dribbble"><span>Dribbble</span></li>
                      <li class="stack_exchange js-btn-stackexchange-connect " data-should-redirect="false" data-platform="stack_exchange"><span>Stack Overflow</span></li>
                      <li class="behance js-btn-behance-connect " data-should-redirect="false" data-platform="behance"><span>Behance</span></li>
                      <li class="github js-btn-github-connect " data-should-redirect="false" data-platform="github"><span>GitHub</span></li>
                      <li class="vimeo js-btn-vimeo-connect " data-should-redirect="false" data-platform="vimeo"><span>Vimeo</span></li>
                      <li class="twitter js-btn-twitter-connect " data-should-redirect="false" data-platform="twitter"><span>Twitter</span></li> -->
                        <div class="row">
                          <div class="col-md-6 col-xs-6 noPadding_mobile">
                            <div class="form-group">
                              <h5 class="label_heading"><img src="assets/img/google_img.svg" width="20"
                                class="Account_security_icons" *ngIf="item.social_media_name=='Google'">
                                <img src="assets/img/facebook_img.svg" width="20" class="Account_security_icons"
                                  *ngIf="item.social_media_name=='Facebook'">{{item.social_media_name}}
                                <small class="verified_css" *ngIf="item.is_verified==true">✓ Verified</small>
                              </h5>
                            </div>
                          </div>
                          <div class="col-md-6 col-xs-6 text-right noPadding_mobile">
                            <div class="form-group">
                              <a href="javascript:void(0);" class="btn btn-secondary connect_btn"
                                (click)="linkedAccounts_connect_click(item.social_media_name)"
                                *ngIf="item.is_verified==false">Connect</a>
                              <a href="javascript:void(0);" class="btn btn-secondary connected_btn"
                                *ngIf="item.is_verified==true" style="width: 140px;">Connected</a>
                            </div>
                          </div>
                        </div>
                      </ul>
                    </ng-container>
                  </div>


                  <hr style="margin: 30px 0px;" />
                  <div class="Skills_div">
                    <h4>Skills <a href="javascript:void(0);" class="add" (click)="onAddnew_Skill()"
                        *ngIf="is_Seller==true">Add New</a></h4>
                    <div class="card Skills_card" *ngIf="openShow_skillModals==true">
                      <div class="card-body">
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Skills (eg. Web Design)"> -->
                          <form>
                            <kendo-autocomplete [data]="autoCompSkillListItem" [valueField]="'skill_name'"
                              (keypress)="onlyCharacters($event)" [filterable]=true
                              (filterChange)="handleSkillFilter($event)" class="form-control"
                              (change)="onskillLevelChange()" name="autoCompleteSkill" [placeholder]="'Select Skill'"
                              [value]="skillDetails.skill_name" onpaste="return false">
                              <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                <div style="font-size: 15px; width: 100%; color: #00F;"
                                  (click)="onSpanSkillSelected(dataItem)">
                                  {{dataItem.skill_name}}
                                </div>
                              </ng-template>
                            </kendo-autocomplete>
                          </form>
                          
                          <span class="error_msg" *ngIf="checkvalidation_skillModal && skillDetails.skill_name==''">
                            Please Select Skill
                          </span>
                        </div>
                        <div class="form-group">
                          <select class="form-control" [(ngModel)]="getSkillLevel.id" name="skillProficiency" required>
                            <option value="0">Select Skill Level</option>
                            <option *ngFor="let option of skillProficiencyList" value={{option.id}}>
                              {{option.skill_level_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_skillModal && getSkillLevel.id==0">
                            Please Select Skill Level
                          </span>
                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Skills_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="cancelSkillModal()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdate_skillModal()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Skills_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="cancelSkillModal()">
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row mt-3 mb-3">
                      <div class="col-md-12 noPadding_mobile">

                        <ng-container *ngIf="seller_skillDetailsList!=undefined && seller_skillDetailsList.length>0">
                          <div class="chip" *ngFor="let item of seller_skillDetailsList">
                            {{item.skill_name}}
                            <span class="edit_skill_pencil"><i class="fa fa-pencil"
                                (click)="onEditSkill_pencilBtn(item)" *ngIf="is_Seller==true"></i></span>
                            <span class="trashbtn_Profile"><i class="fa fa-trash" (click)="onDeleteSkill(item)"
                                *ngIf="is_Seller==true"></i></span>
                          </div>
                        </ng-container>
                      </div>
                    </div>

                    <!-- <div class="row">
                      <div class="col-md-12">
                        <h5 style="color: silver;">Suggestions:</h5>
                        <div class="chip edit_skill_pencil">
                          photo editing
                        </div>
                        <div class="chip edit_skill_pencil">
                          logo design
                        </div>
                        <div class="chip edit_skill_pencil">
                          adobe photoshop
                        </div>
                        <div class="chip edit_skill_pencil">
                          graphic design
                        </div>
                      </div>
                    </div> -->

                    <!-- <ul class="items-list">
                      <li><span class="title">English</span>
                        <span class="sub-title">Basic</span>
                        <input type="hidden"  value="basic">
                        <div class="animate">
                          <span class="hint--top" data-hint="Edit">
                            <a href="javascript:void(0);" class="pencil"></a>
                          </span>
                        </div>
                      </li>
                    </ul> -->
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Education_div">
                    <h4>Education <a href="javascript:void(0);" class="add" (click)="onAddnew_EducationModal()"
                        *ngIf="is_Seller==true">Add
                        New</a></h4>
                    <div class="card Education_card" *ngIf="openShow_educationModals==true">
                      <div class="card-body">
                        <div class="form-group">
                          <select class="form-control" [(ngModel)]="getCountry.id" name="country"
                            #txt_countryList="ngModel" required>
                            <option value="0">Select Country of College/University </option>
                            <option *ngFor="let option of countryList" value={{option.id}}>
                              {{option.country_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_educationModal && getCountry.id==0">
                            Please Select Country
                          </span>
                        </div>
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="College/University Name"> -->
                          <form>
                            <kendo-autocomplete [data]="autoCompUniversityListItem" [valueField]="'university_name'"
                              [filterable]="true" (filterChange)="handleUniversityFilter($event)" class="form-control"
                              [placeholder]="'Select University'" [value]="universityDetails.university_name"
                              name="autoCompUniversity" required onpaste="return false"
                              (keypress)="onlyCharacters_withApostrophe($event)">
                              <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                <div style="font-size: 15px; width: 100%; color: #00F;"
                                  (click)="onSpanUniversitySelected(dataItem)">
                                  {{ dataItem.university_name }}</div>
                              </ng-template>
                            </kendo-autocomplete>
                          </form>
                          
                          <span class="error_msg"
                            *ngIf="checkvalidation_educationModal && universityDetails.university_name==''">
                            Please Select University Name
                          </span>
                        </div>
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Education"> -->
                          <select class="form-control form_control_border_radius" name="title" [(ngModel)]="getTitle.id"
                            (change)="onTitleChange()" required>
                            <option value="0">Select Title From List</option>
                            <option *ngFor="let option of titleList" value={{option.id}}>
                              {{option.education_title_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_educationModal && getTitle.id== 0">
                            Please Select Education Title
                          </span>

                        </div>
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Education"> -->
                          <form>
                            <kendo-autocomplete [data]="autoCompMajorListItem" [valueField]="'education_major_name'"
                              [filterable]="true" (filterChange)="handleMajorFilter($event)" class="form-control"
                              [placeholder]="'Select Education Degree'" [value]="majorDetails.education_major_name"
                              name="autoCompMajor" required onpaste="return false" (keypress)="onlyCharacters($event)">
                              <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                <div style="font-size: 15px; width: 100%; color: #00F;"
                                  (click)="onSpanMajorSelected(dataItem)">
                                  {{dataItem.education_major_name}}
                                </div>
                              </ng-template>
                            </kendo-autocomplete>
                          </form>
                          
                          <span class="error_msg"
                            *ngIf="checkvalidation_educationModal && majorDetails.education_major_name==''">
                            Please Select Education Degree
                          </span>
                        </div>
                        <div class="form-group">
                          <!-- <select class="form-control form_control_border_radius" name="year" [(ngModel)]="getYear.year"
                            required>
                            <option value="0">Year of graduation</option>
                            <option *ngFor="let option of yearListForEducation" value={{option.year}}>
                              {{option.year}}
                            </option>
                          </select> -->
                          <kendo-datepicker id="year_education" [bottomView]="'decade'" style="width: 100%;"
                            [format]="'yyyy'" (valueChange)="onEducationYearChange()" [(ngModel)]="getYear_year"
                            name="year_education" [placeholder]="'Education Year'" [max]="maxDate"
                            [focusedDate]="focusedDate">
                          </kendo-datepicker>
                          <span class="error_msg" *ngIf="checkvalidation_educationModal && getYear.year==0">
                            Please Select Education Degree
                          </span>
                        </div>

                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Education_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="cancelEducationModal()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdate_EducationModal()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Education_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="cancelEducationModal()">
                          </div>
                        </div>
                      </div>
                    </div>
                    <ng-container *ngIf="seller_educationlDetailsList!=null && seller_educationlDetailsList.length>0">
                      <ul class="items-list" *ngFor="let item of seller_educationlDetailsList">
                        <li>
                          <h4 class="title">{{item.education_title_name}} - {{item.education_major_degree}}
                            <div class="animate">
                              <span class="hint--top" data-hint="Edit">
                                <a href="javascript:void(0);" class="pencil" (click)="onEditEducation_pencilBtn(item)"
                                  *ngIf="is_Seller==true"></a>
                                <a href="javascript:void(0);" class="delete_icon" (click)="onDeleteEducation(item)"
                                  *ngIf="is_Seller==true"></a>
                              </span>
                            </div>
                          </h4>
                          <h5 class="sub-title">{{item.university_name}}, {{item.country_name}}, Graduated
                            {{item.education_year}}
                          </h5>
                        </li>
                      </ul>
                    </ng-container>
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Certification_div">
                    <h4>Certification <a href="javascript:void(0);" class="add" (click)="onAddnew_CertificationModal()"
                        *ngIf="is_Seller==true">Add New</a></h4>
                    <div class="card Certification_card" *ngIf="openShow_certificationModals==true">
                      <div class="card-body">
                        <div class="form-group">
                          <input type="text" class="form-control" placeholder="Certificate or Award"
                            onpaste="return false" [(ngModel)]="certificateOrAward" #txt_certificateAward="ngModel"
                            required (keypress)="onlyCharacters($event)">
                          <span class="error_msg"
                            *ngIf="checkvalidation_certificationModal && txt_certificateAward.errors?.required">
                            Please Enter Certification Name
                          </span>
                        </div>
                        <div class="form-group">
                          <input type="text" class="form-control" placeholder="Certified From (e.g. Adobe)"
                            onpaste="return false" [(ngModel)]="certificateFrom" #txt_certificateFrom="ngModel" required
                            (keypress)="onlyCharacters($event)">
                          <span class="error_msg"
                            *ngIf="checkvalidation_certificationModal && txt_certificateFrom.errors?.required">
                            Please Enter Certification From
                          </span>
                        </div>
                        <div class="form-group">
                          <!-- <select class="form-control" [(ngModel)]="getCertificationYear.year" name="certificationYear">
                            <option value="0">Year</option>
                            <option *ngFor="let option of yearList" value={{option.year}}>
                              {{option.year}}
                            </option>
                          </select> -->
                          <kendo-datepicker id="year_certification" [bottomView]="'decade'" style="width: 100%;"
                            [format]="'yyyy'" (valueChange)="onCertificationYearChange()" [(ngModel)]="certificateYear"
                            name="year_certification" [placeholder]="'Certification Year'" [max]="maxDate"
                            [focusedDate]="focusedDate">
                          </kendo-datepicker>
                          <span class="error_msg"
                            *ngIf="checkvalidation_certificationModal && getCertificationYear.year==0">
                            Please Select Certification Year
                          </span>
                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Certification_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="cancelCertificationModal()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdate_CertificationModal()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Certification_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="cancelCertificationModal()">
                          </div>
                        </div>
                      </div>
                    </div>
                    <ng-container
                      *ngIf="seller_CertificationDetailsList!=null && seller_CertificationDetailsList.length>0">
                      <ul class="items-list" *ngFor="let item of seller_CertificationDetailsList">
                        <li>
                          <h4 class="title">{{item?.certificate_Award}}
                            <div class="animate">
                              <span class="hint--top" data-hint="Edit">
                                <a href="javascript:void(0);" class="pencil"
                                  (click)="onEditcertification_pencilBtn(item)" *ngIf="is_Seller==true"></a>
                                <a href="javascript:void(0);" class="delete_icon" (click)="onDeleteCertification(item)"
                                  *ngIf="is_Seller==true"></a>
                              </span>
                            </div>
                          </h4>
                          <h5 class="sub-title">{{item.certified_from}},{{item.certification_year}}</h5>
                        </li>
                      </ul>
                    </ng-container>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-8 noPadding_mobile">
          <div class="tabbable-panel" style="padding: 0px;">
            <div class="tabbable-line">
              <!-- <ul class="nav nav-tabs ">
                <li>
                  <a href="#tab_default_1" class="active" data-toggle="tab">ACTIVE GIGS</a>
                </li>
              </ul> -->
              <div class="tab-content">
                <div class="row">
                  <div class="col-md-12 noPadding_mobile">
                    <h4 class="mb-4">ACTIVE GIGS</h4>
                  </div>
                </div>
                <div class="tab-pane active" id="tab_default_1">

                  <div class="row">
                    <ng-container *ngFor="let item of activeGigs">
                      <div class="col-md-4 noPadding_mobile">
                        <div class="custom_card_div">
                          <i class="fa fa-heart like_symbol"></i>
                          <div class="img_div">
                            <img src={{item.gallery[0]?.file_path}}>
                          </div>
                          <div class="content_div">
                            <div class="card_heading_text" (click)="onGigClick(item.id,item.gig_status.id)" style="height: auto;">
                              <h5>{{item.title}}</h5>
                            </div>
                            <div class="Price_and_star_container">
                              <div class="row">
                                <div class="col-md-6 col-xs-6 noPadding_mobile">
                                  <!-- <div class="stars_container">{{getStar(item.rating)}} </div> -->
                                  <div class="stars_container" *ngIf="item.rating>0">{{getStar(item.rating)}}
                                    <span [innerHtml]="printStar">
                                    </span> ({{item.total_views}})
                                  </div>
                                  <div class="stars_container_empty"
                                    *ngIf="item.rating==0 || item.rating==null || item.rating=='' || item.rating==undefined">
                                    {{getEmptyStar()}}
                                    <span [innerHtml]="printStarEmpty">
                                    </span> <span class="star_counts">(0)</span>
                                  </div>
                                </div>
                                <div class="col-md-6 col-xs-6 text-right noPadding_mobile" style="padding-left: 0px;">
                                  <h4> {{item.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}
                                  </h4>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </ng-container>
                    <div class="col-md-4 noPadding_mobile" *ngIf="is_Seller==true">
                      <a [routerLink]="'/new_gig'">
                        <div class="Create_New_Gig">
                          <div class="plus_img_div">
                            <i class="fa fa-plus"></i>
                          </div>
                          <h5>Create New Gig</h5>
                        </div>
                      </a>
                    </div>
                    <!-- <div class="col-md-4">
                      <a href="Gigs_Details.html">
                        <div class="custom_card_div">
                          <i class="fa fa-heart like_symbol"></i>
                          <div class="img_div">
                            <img
                              src="https://fiverr-res.cloudinary.com/t_gig_cards_web,q_auto,f_auto/gigs/127311624/original/fd5f5017f8718fb26906bfb941d2b60c89a8e14b.jpg">
                          </div>
                          <div class="content_div">
                            <div class="card_heading_text">
                              <h5>I will draw a unique logo for your enterprise</h5>
                            </div>
                            <div class="rating">
                              <h6>4.4
                                <span><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i
                                    class="fa fa-star"></i></span>
                                <span> (5,000)</span>
                              </h6>
                            </div>
                            <div class="Price">
                              <div class="row">
                                <div class="col-md-6">
                                  <i class="fa fa-shopping-cart shopping_cart"></i>
                                </div>
                                <div class="col-md-6 text-right">
                                  <h6><i class="fa fa-rupee rupee_icon"></i> 4300</h6>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </a>
                    </div> -->
                    <!-- <div class="col-md-4"></div>-->
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<div id="Add_Phone_Number" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title modal_title_text">Verify Phone Number</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body" style="padding: 2em;">
        <p class="material-icons" style="font-size: 60px;text-align: center;display: block;color: #19b5fe;">stay_primary_portrait</p>
        <p style="margin-bottom: 15px;line-height: 1.3;text-align: center;" class="mobile_padding">Thank you for taking a moment to verify your phone number.</p>
        <div class="row">
          <div class="col-md-12 noPadding_mobile">
            <div class="form-group">
              <h5>Enter your Phone Number</h5>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text" style="border-top-left-radius: 3px;border-bottom-left-radius: 3px;
                                  line-height: 1;">+91</span>
                </div>
                <input type="text" class="form-control" [(ngModel)]="phone_acc_security" maxlength="10" (keypress)="onlyNumbers($event)">
              </div>
              <span class="error_msg" *ngIf="showPhoneValidation==true">Please enter proper Mobile
                Number</span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 text-center noPadding_mobile">
            <div class="form-group">
              <a href="javascript:void(0);" class="btn btn-warning verify_sms_btn" (click)="verifyBySMSClick()">Verify
                by SMS</a>
            </div>
          </div>

        </div>
        <div class="row">
          <div class="col-md-12 noPadding_mobile">
            <p style="line-height: 1.3;">Your phone number will remain private and will not be shared or
              used for marketing purposes</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div id="verify_OTP_Phone_Number" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title modal_title_text">Verify OTP</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body" style="padding: 2em;">
        <p class="material-icons" style="font-size: 60px;text-align: center;display: block;color: #19b5fe;">screen_lock_portrait</p>
        <p class="verify_OTP_margin_xs" style="margin-bottom: 15px;line-height: 1.3;text-align: center;">Thank you for taking a moment to verify your phone number.</p>
        <div class="row">
          <div class="col-md-12 noPadding_mobile">
            <div class="form-group">
              <h5>Enter your OTP</h5>
              <div class="input-group">
                <input type="text" class="form-control" [(ngModel)]="phone_OTP_acc_security"
                  (keypress)="onlyNumbers($event)" maxlength="6">
              </div>
              <span class="error_msg" *ngIf="checkOTPValidation==true && (phone_OTP_acc_security==null || phone_OTP_acc_security==undefined || 
                                  phone_OTP_acc_security.trim()=='')">Please enter OTP</span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 text-center noPadding_mobile">
            <div class="form-group">
              <a href="javascript:void(0);" class="btn btn-warning verify_sms_btn" (click)="verifyphoneOTP()">Verify
                OTP</a>
            </div>
          </div>

        </div>
        <!-- <div class="row">
                  <div class="col-md-12">
                      <p style="line-height: 1.3;">Your phone number will remain private and will not be shared or
                          used for marketing purposes</p>
                  </div>
              </div> -->
      </div>
    </div>
  </div>
</div>


<!-- enlarge Image Pop start -->
<div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog image_inlarge_modal_dialog" style="height: 500px;">
      <div class="modal-content inlarge_modal_content">
          <div class="modal-body image_inlarge_modal_body">
              <button id="btnImageInLargeCloseButton" type="button" class="close image_inlarge_close_btn" data-dismiss="modal">
                  <img src="assets/img/cancel_img.png" width="29" />
                  <span class="sr-only">Close</span>
              </button>
              <img [src]="image_ViewUrl" class="imagepreview" style="width: 100%;">
          </div>
      </div>
  </div>
</div>
<!-- enlarge Image Pop End -->